## svnkit 1.8.11

=== svnkit-test/nailgun/Makefile ===
# This Makefile has only been tested on linux.  It uses
# MinGW32 to cross-compile for windows.  To install and
# configure MinGW32 on linux, see
# http://www.mingw.org/MinGWiki/index.php/BuildMingwCross
#
# Marty Lamb

CC=gcc
WIN32_CC=/usr/local/mingw32/bin/mingw32-gcc
CFLAGS=-Wall -pedantic -s -O3

ng: src/c/ng.c
	@echo "Building ng client.  To build a Windows binary, type 'make ng.exe'"
	${CC} ${CFLAGS} -o ng src/c/ng.c

ng.exe: src/c/ng.c
	# any idea why the command line is so sensitive to the order of
	# the arguments?  If CFLAGS is at the beginning, it won't link.
	${WIN32_CC} -o ng.exe src/c/ng.c -lwsock32 -O3 ${CFLAGS}
	
clean:
	@echo "If you have a Windows binary, 'make clean' won't delete it."
	@echo "You must remove this manually.  Most users won't have MinGW"
	@echo "installed - so I'd rather not delete something they can't rebuild."
	rm ng
#	rm ng.exe

## svnkit 1.3.3+dfsg

=== debian/changelog ===
svnkit (1.3.3+dfsg-1) unstable; urgency=low

  * New upstream release.
  * svnkit now just depends on default-jre-headless.
  * Drop JRE dependences for libsvnkit-java as Java libraries are no longer
    required to depend on a JVM.

 -- Miguel Landaeta <miguel@miguel.cc>  Tue, 04 May 2010 23:49:44 -0430

svnkit (1.3.2+dfsg-1) unstable; urgency=low

  * Initial release (closes: #570867).

 -- Miguel Landaeta <miguel@miguel.cc>  Wed, 10 Mar 2010 20:08:02 -0430

=== debian/control ===
Source: svnkit
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Miguel Landaeta <miguel@miguel.cc>
Section: java
Priority: optional
Build-Depends: debhelper (>> 7.0.50), ant, default-jdk, javahelper,
               libtrilead-ssh2-java (>= 6401), libjna-java, antlr3,
               libsvn-java (>= 1.6.4dfsg), perl
Standards-Version: 3.8.4
Homepage: http://svnkit.com/
Vcs-Git: git://git.debian.org/git/pkg-java/svnkit.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/svnkit.git

Package: svnkit
Architecture: all
Depends: default-jre-headless, libsvnkit-java (= ${binary:Version}),
 libtrilead-ssh2-java (>= 6401), libjna-java, antlr3, ${misc:Depends}
Description: pure Java Subversion client
 SVNKit allows to work with Subversion repositories and Subversion working
 copies. SVNKit client features direct repository access as well as support
 for all high level Subversion operation that are available with the command
 line Subversion client.

Package: libsvnkit-java
Architecture: all
Depends: libtrilead-ssh2-java (>= 6401), libjna-java, ${misc:Depends}
Recommends: libsvn-java (>= 1.6)
Suggests: junit
Description: pure Java Subversion client library
 SVNKit allows to work with Subversion repositories and Subversion working
 copies. SVNKit library features direct repository access as well as support
 for all high level Subversion operation that are available with the command
 line Subversion client.

Package: libsvnkit-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libsvnkit-java (= ${binary:Version})
Description: documentation for libsvnkit-java
 Documentation for SVNKIT which is a Java library that allows to work with
 Subversion working copies. SVNKit features direct repository access as well as
 support for all high level Subversion operation that are available with the
 command line Subversion client.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh --with javahelper $@

override_dh_auto_build:
	ant
	for script in jsvn jsvnadmin jsvndumpfilter jsvnlook jsvnsync jsvnversion; do \
		pod2man -c '' -r '' debian/$${script}.pod > build/doc/$${script}.1 ; \
	done ;

override_dh_auto_install:
	mv build/lib/logging.properties.disabled build/lib/logging.properties
	dh_auto_install

override_dh_auto_clean:
	ant clean

override_dh_compress:
	dh_compress -X.java

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	uscan \
		--verbose \
		--no-symlink \
		--destdir $(CURDIR)      \
		--watchfile debian/watch \
		--force-download

## svnkit 1.3.5+dfsg

=== debian/changelog ===
svnkit (1.3.5+dfsg-4) unstable; urgency=low

  * Drop the patch that fixes an FTBFS with subversion 1.7.5 because it didn't
    migrate to wheezy and now is causing an FTBFS with 1.6.x. (Closes: #684853).

 -- Miguel Landaeta <miguel@miguel.cc>  Tue, 14 Aug 2012 19:22:32 -0430

svnkit (1.3.5+dfsg-3) unstable; urgency=low

  * Team upload.
  * Actually add the DMUA flag to d/control.

 -- Niels Thykier <niels@thykier.net>  Thu, 21 Jun 2012 21:45:29 +0200

svnkit (1.3.5+dfsg-2) unstable; urgency=low

  [ Miguel Landaeta ]
  * Fix FTBFS due to changes introduced in subversion 1.7.5. (Closes: #678308).
  * Bump Standards-Version to 3.9.3. No changes were required.
  * Update copyright file.

  [ Niels Thykier ]
  * Ensure backward compatible byte code.
  * Set DMUA flag.

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 21 Jun 2012 21:21:51 +0200

svnkit (1.3.5+dfsg-1) unstable; urgency=low

  [Miguel Landaeta]
  * New upstream release.
  * Bump Standards-Version to 3.9.2. No changes were required.
  * Correctly order the arguments in dh7 invocation.
  * Update dates in copyright file and make it DEP-5 compliant.
  * Wrap properly Build-Depends list.
  * Fix/override several lintian warnings about missing classpath 
    declarations and empty directories.

  [tony mancill]
  * Tweak package descriptions in debian/control.
  
 -- Miguel Landaeta <miguel@miguel.cc>  Wed, 20 Jul 2011 21:35:25 -0430

=== debian/control ===
Source: svnkit
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Miguel Landaeta <miguel@miguel.cc>
Section: java
Priority: optional
Build-Depends: debhelper (>> 7.0.50), ant, default-jdk, javahelper,
               libtrilead-ssh2-java (>= 6401), libjna-java, antlr3,
               libsvn-java (>= 1.6.4dfsg), perl
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
Homepage: http://svnkit.com/
Vcs-Git: git://git.debian.org/git/pkg-java/svnkit.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/svnkit.git

Package: svnkit
Architecture: all
Depends: default-jre-headless | java5-runtime-headless,
 libsvnkit-java (= ${binary:Version}), libtrilead-ssh2-java (>= 6401),
 libjna-java, antlr3, ${misc:Depends}
Description: pure Java Subversion client
 SVNKit allows one to work with Subversion repositories and working
 copies.  The SVNKit client features direct repository access as well as 
 support for all high level Subversion operations available via the 
 command-line Subversion client.

Package: libsvnkit-java
Architecture: all
Depends: libtrilead-ssh2-java (>= 6401), libjna-java, ${misc:Depends}
Recommends: libsvn-java (>= 1.6)
Suggests: junit
Description: pure Java Subversion client library
 SVNKit provides APIs to work with Subversion repositories and working
 copies. The SVNKit library features direct repository access as well as 
 support for all high level Subversion operations available via the 
 command-line Subversion client.

Package: libsvnkit-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libsvnkit-java (= ${binary:Version}), default-jdk-doc
Description: documentation for libsvnkit-java
 Documentation for SVNKit, which is a Java library that provides APIs to 
 work with Subversion repositories and working copies. SVNKit features 
 direct repository access as well as support for all high level Subversion 
 operations that are available via the command-line Subversion client.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
 %:
-	dh --with javahelper $@
+	dh $@ --with javahelper
 
 override_dh_auto_build:
-	ant
+	ant -propertyfile debian/ant.properties
 	for script in jsvn jsvnadmin jsvndumpfilter jsvnlook jsvnsync jsvnversion; do \
 		pod2man -c '' -r '' debian/$${script}.pod > build/doc/$${script}.1 ; \
 	done ;
@@ -18,6 +18,11 @@
 override_dh_compress:
 	dh_compress -X.java
 
+override_jh_installjavadoc:
+	jh_installjavadoc
+	# remove empty directory to keep lintian happy
+	-rmdir debian/libsvnkit-java-doc/usr/share/doc/libsvnkit-java/api/org/tmatesoft/svn/core/io/doc-files
+
 get-orig-source:
 	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
 	uscan \

## svnkit 1.7.5+dfsg

=== debian/changelog ===
svnkit (1.7.5+dfsg-2) unstable; urgency=low

  * Removed obsolete DM-Upload-Allowed field from d/control.
  * Uploading this version into sid fixes FTBFS (Closes: #713784).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 28 Jun 2013 15:11:50 +0200

svnkit (1.7.5+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Update format of d/copyright.
  * Bump Standards-Version to 3.9.4.
  * Use ant with our custom build.xml as a buildsystem, upstream now
    uses gradle.
  * Remove contrib/sequence/* from d/copyright. These sources are now
    provided in a different package.
  * Add Jakub Adam to Uploaders.
  * Add #! sequence at the beginning of executable scripts.
  * Fix classpath in executable scripts.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 21 Sep 2012 18:33:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: svnkit
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Miguel Landaeta <miguel@miguel.cc>
+Uploaders: Miguel Landaeta <miguel@miguel.cc>, Jakub Adam <jakub.adam@ktknet.cz>
 Section: java
 Priority: optional
 Build-Depends: debhelper (>> 7.0.50), ant, default-jdk, javahelper,
-               libtrilead-ssh2-java (>= 6401), libjna-java, antlr3,
-               libsvn-java (>= 1.6.4dfsg), perl
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+               libtrilead-ssh2-java (>= 6401), libjna-java,
+               libsvn-java (>= 1.6.4dfsg), perl, libsqljet-java,
+               libsequence-library-java, eclipse-rcp
+Standards-Version: 3.9.4
 Homepage: http://svnkit.com/
 Vcs-Git: git://git.debian.org/git/pkg-java/svnkit.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/svnkit.git
@@ -16,7 +16,7 @@
 Architecture: all
 Depends: default-jre-headless | java5-runtime-headless,
  libsvnkit-java (= ${binary:Version}), libtrilead-ssh2-java (>= 6401),
- libjna-java, antlr3, ${misc:Depends}
+ libjna-java, libsequence-library-java, ${misc:Depends}
 Description: pure Java Subversion client
  SVNKit allows one to work with Subversion repositories and working
  copies.  The SVNKit client features direct repository access as well as 
@@ -25,8 +25,9 @@
 
 Package: libsvnkit-java
 Architecture: all
-Depends: libtrilead-ssh2-java (>= 6401), libjna-java, ${misc:Depends}
-Recommends: libsvn-java (>= 1.6)
+Depends: libtrilead-ssh2-java (>= 6401), libjna-java, libsqljet-java,
+ libsequence-library-java, antlr3, ${misc:Depends}
+Recommends: libsvn-java (>= 1.7)
 Suggests: junit
 Description: pure Java Subversion client library
  SVNKit provides APIs to work with Subversion repositories and working

=== debian/rules ===
#!/usr/bin/make -f

export CLASSPATH=/usr/share/java/sqljet.jar:/usr/share/java/jna.jar:/usr/share/java/sequence-library.jar:/usr/share/java/trilead-ssh2.jar:/usr/share/java/svn-javahl.jar:/usr/share/java/svnkit.jar

%:
	dh $@ --with javahelper

override_dh_auto_build:
	VERSION=$$(dpkg-parsechangelog | grep Version: | cut -d' ' -f 2); \
	echo $$VERSION | { \
		IFS='.-+' read MAJOR MINOR MICRO DFSG DEBIAN; \
		export MAJOR MINOR MICRO DEBIAN; \
	        ant -f debian/build.xml -propertyfile debian/ant.properties; \
	};

	for script in jsvn jsvnadmin jsvndumpfilter jsvnlook jsvnsync jsvnversion; do \
		pod2man -c '' -r '' debian/$${script}.pod > build/doc/$${script}.1 ; \
	done ;

override_dh_auto_clean:
	ant -f debian/build.xml clean

override_dh_compress:
	dh_compress -X.java

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	uscan \
		--verbose \
		--no-symlink \
		--destdir $(CURDIR)      \
		--watchfile debian/watch \
		--force-download

## svnkit 1.8.5+dfsg

=== debian/changelog ===
svnkit (1.8.5+dfsg-2) unstable; urgency=low

  * Fix typo with my email address in Uploaders list.
  * Update fix-logging-path.patch.
  * Fix override disparities regarding package section.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 03 May 2014 21:30:00 -0300

svnkit (1.8.5+dfsg-1) unstable; urgency=low

  * Team upload.

  [ Emmanuel Bourg ]
  * Standards-Version updated to 3.9.5 (no changes).
  * Switch to debhelper level 9.
  * Wrap and sort.

  [ Markus Koschany ]
  * Imported Upstream version 1.8.5+dfsg. (Closes: #743213)
    - Fixes FTBFS. (Closes: #735763)
  * debian/control: Canonicalize VCS-fields.
  * debian/control:
    - svnkit: Remove alternative dependency on java5-runtime-headless.
    - Tighten versioned build-dependency on libsvn-java to 1.8.8.
    - Update versioned dependency for trilead-ssh2 to 6401+svn158.
  * Drop fix-build-javac-1.6.0_24.patch. Java7 is the default now.
  * Rebase fix-logging-path.patch.

  [ Miguel Landaeta ]
  * Update my email address.
  * Remove outdated to-do list.
  * Remove outdated d/README.Debian file.
  * Install maven artifacts. (Closes: #740608).
  * Update d/orig-tar.sh script.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 05 Apr 2014 12:03:22 -0300

=== debian/control ===
Source: svnkit
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Miguel Landaeta <nomadium@debian.org>, Jakub Adam <jakub.adam@ktknet.cz>
Section: vcs
Priority: optional
Build-Depends: ant,
               debhelper (>= 9),
               default-jdk,
               eclipse-rcp,
               javahelper,
               libjna-java,
               libsequence-library-java,
               libsqljet-java,
               libsvn-java (>= 1.8.8),
               libtrilead-ssh2-java (>= 6401+svn158),
               perl,
               maven-repo-helper
Standards-Version: 3.9.5
Homepage: http://svnkit.com/
Vcs-Git: git://anonscm.debian.org/pkg-java/svnkit.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/svnkit.git

Package: svnkit
Architecture: all
Depends: default-jre-headless,
         libjna-java,
         libsequence-library-java,
         libsvnkit-java (= ${binary:Version}),
         libtrilead-ssh2-java (>= 6401+svn158),
         ${misc:Depends}
Description: pure Java Subversion client
 SVNKit allows one to work with Subversion repositories and working
 copies.  The SVNKit client features direct repository access as well as
 support for all high level Subversion operations available via the
 command-line Subversion client.

Package: libsvnkit-java
Architecture: all
Section: java
Depends: antlr3,
         libjna-java,
         libsequence-library-java,
         libsqljet-java,
         libtrilead-ssh2-java (>= 6401+svn158),
         ${misc:Depends}
Recommends: libsvn-java (>= 1.7)
Suggests: junit
Description: pure Java Subversion client library
 SVNKit provides APIs to work with Subversion repositories and working
 copies. The SVNKit library features direct repository access as well as
 support for all high level Subversion operations available via the
 command-line Subversion client.

Package: libsvnkit-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: default-jdk-doc, libsvnkit-java (= ${binary:Version})
Description: documentation for libsvnkit-java
 Documentation for SVNKit, which is a Java library that provides APIs to
 work with Subversion repositories and working copies. SVNKit features
 direct repository access as well as support for all high level Subversion
 operations that are available via the command-line Subversion client.

## svnkit 1.8.6

=== debian/changelog ===
svnkit (1.8.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Removed the unnecessary Maven dependency on net.java.dev.jna:platform
    and com.jcraft:jsch.agentproxy.* (this broke libshib-common-java,
    see #752964)
  * Depend on libsqljet-java >= 1.1.10-1 to ensure the Maven artifacts for
    sqljet are available and thus avoid breaking Maven builds.
  * debian/orig-tar.sh:
    - Use XZ compression for the upstream tarball
    - Use the version passed by uscan instead of the current version
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 17 Oct 2014 13:59:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: svnkit
+Section: vcs
+Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Miguel Landaeta <nomadium@debian.org>, Jakub Adam <jakub.adam@ktknet.cz>
-Section: vcs
-Priority: optional
 Build-Depends: ant,
                debhelper (>= 9),
                default-jdk,
@@ -10,15 +10,15 @@
                javahelper,
                libjna-java,
                libsequence-library-java,
-               libsqljet-java,
+               libsqljet-java (>= 1.1.10-1~),
                libsvn-java (>= 1.8.8),
                libtrilead-ssh2-java (>= 6401+svn158),
                perl,
                maven-repo-helper
-Standards-Version: 3.9.5
-Homepage: http://svnkit.com/
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-java/svnkit.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/svnkit.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/svnkit.git
+Homepage: http://svnkit.com
 
 Package: svnkit
 Architecture: all
@@ -40,7 +40,7 @@
 Depends: antlr3,
          libjna-java,
          libsequence-library-java,
-         libsqljet-java,
+         libsqljet-java (>= 1.1.10-1~),
          libtrilead-ssh2-java (>= 6401+svn158),
          ${misc:Depends}
 Recommends: libsvn-java (>= 1.7)

## svnkit 1.8.11

=== debian/changelog ===
svnkit (1.8.11-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 1.8.11.
  * Add libsvn-java-1.9.2.patch and implement abstract methods to prevent a
    FTBFS with version 1.9.2 of libsvn-java. (Closes: #802356)
  * Rebase script-add-shebang.patch.
  * Remove svnkit.lintian-overrides.
  * Fix Lintian warning space-in-std-shortname-in-dep5-copyright.
  * Vcs-Browser: Use https.
  * Tighten dependencies on libsvn-java to >= 1.9.2.

 -- Markus Koschany <apo@debian.org>  Tue, 08 Dec 2015 23:44:43 +0100

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                libjna-java,
                libsequence-library-java,
                libsqljet-java (>= 1.1.10-1~),
-               libsvn-java (>= 1.8.8),
+               libsvn-java (>= 1.9.2),
                libtrilead-ssh2-java (>= 6401+svn158),
                perl,
                maven-repo-helper
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-java/svnkit.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/svnkit.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/svnkit.git
 Homepage: http://svnkit.com
 
 Package: svnkit
@@ -43,7 +43,7 @@
          libsqljet-java (>= 1.1.10-1~),
          libtrilead-ssh2-java (>= 6401+svn158),
          ${misc:Depends}
-Recommends: libsvn-java (>= 1.7)
+Recommends: libsvn-java (>= 1.9.2)
 Suggests: junit
 Description: pure Java Subversion client library
  SVNKit provides APIs to work with Subversion repositories and working

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export CLASSPATH=/usr/share/java/sqljet.jar:/usr/share/java/jna.jar:/usr/share/java/sequence-library.jar:/usr/share/java/trilead-ssh2.jar:/usr/share/java/svn-javahl.jar:/usr/share/java/svnkit.jar
+export UVERSION := $(shell dpkg-parsechangelog | grep ^Version: | sed 's/^.*: \(.*\)-.*$$/\1/')
 
 %:
 	dh $@ --with javahelper
@@ -17,8 +18,17 @@
 		pod2man -c '' -r '' debian/$${script}.pod > build/doc/$${script}.1 ; \
 	done ;
 
+override_dh_auto_install:
+	dh_auto_install
+	mh_installpoms -plibsvnkit-java --set-version=$(UVERSION)
+	mh_installjar  -plibsvnkit-java debian/svnkit.pom --set-version=$(UVERSION) \
+		build/lib/svnkit.jar --java-lib --usj-version=$(UVERSION)
+	mh_installjar  -plibsvnkit-java debian/svnkit-javahl16.pom --set-version=$(UVERSION) \
+		build/lib/svnkit-javahl16.jar --java-lib --usj-version=$(UVERSION)
+
 override_dh_auto_clean:
 	ant -f debian/build.xml clean
+	mh_clean
 
 override_dh_compress:
 	dh_compress -X.java

## svnkit 1.8.12

=== debian/changelog ===
svnkit (1.8.12-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 1.8.12.
  * Update copyright years.
  * Vcs: Use https.
  * Declare compliance with Debian Policy 3.9.7.

 -- Markus Koschany <apo@debian.org>  Fri, 01 Apr 2016 06:41:37 +0200

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
                libtrilead-ssh2-java (>= 6401+svn158),
                perl,
                maven-repo-helper
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-java/svnkit.git
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/svnkit.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/svnkit.git
 Homepage: http://svnkit.com

## svnkit 1.8.14

=== debian/changelog ===
svnkit (1.8.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.8.14.

 -- Markus Koschany <apo@debian.org>  Sun, 16 Oct 2016 23:10:04 +0200

svnkit (1.8.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.8.13.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 3.9.8.
  * svnkit: Add alternative java7-runtime-headless dependency.
  * Drop libsvn-java-1.9.2.patch. Fixed upstream.
  * Rebase script-fix-classpath.patch and merge script-add-shebang.patch into
    it.
  * Repack the tarball and remove all jar files except the template jar
    files. Remove the embedded copy of nailgun.

 -- Markus Koschany <apo@debian.org>  Sun, 09 Oct 2016 16:23:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Miguel Landaeta <nomadium@debian.org>, Jakub Adam <jakub.adam@ktknet.cz>
 Build-Depends: ant,
-               debhelper (>= 9),
+               debhelper (>= 10),
                default-jdk,
                eclipse-rcp,
                javahelper,
@@ -15,14 +15,14 @@
                libtrilead-ssh2-java (>= 6401+svn158),
                perl,
                maven-repo-helper
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/svnkit.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/svnkit.git
 Homepage: http://svnkit.com
 
 Package: svnkit
 Architecture: all
-Depends: default-jre-headless,
+Depends: default-jre-headless | java7-runtime-headless,
          libjna-java,
          libsequence-library-java,
          libsvnkit-java (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -40,4 +40,6 @@
 		--no-symlink \
 		--destdir $(CURDIR)      \
 		--watchfile debian/watch \
-		--force-download
+		--force-download \
+		--repack \
+		--compression xz

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://svnkit.com/download.php \
 http://www.svnkit.com/org.tmatesoft.svn_(.+).src.zip debian debian/orig-tar.sh

## svnkit 1.10.3

=== debian/changelog ===
svnkit (1.10.3-2) unstable; urgency=medium

  * Team upload
  * Raising Standards version to 4.6.2:
    - Removing obsolete get-orig-source rule
  * Updating copyright years
  * Using methods of AuthorizationHandler instead of the removed ones formerly
    in org.eclipse.core.runtime.Platform (Closes: #1028768)
  * Adding a Lintian override for embedded JS
  * Using uscan version 4 and repacking through the debian/copyright
    Files-Excluded mechanism
  * Using DEB_VERSION instead of parsing changelog in debian/rules
  * Removing unneeded versioned dependencies in debian/control
  * Apply multi-arch hints. + libsvnkit-java-doc: Add Multi-Arch: foreign.

 -- Pierre Gruet <pgt@debian.org>  Sun, 22 Jan 2023 15:44:40 +0100

svnkit (1.10.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.10.3
  * Add build-dep on lz4-java
  * Add build-dep on libjna-platform-java
  * Bump Standards-Version to 4.6.0
  * Use debhelper-compat 13

 -- tony mancill <tmancill@debian.org>  Sun, 21 Nov 2021 19:40:16 -0800

svnkit (1.8.14-4) unstable; urgency=medium

  [ Sudip Mukherjee ]
  * Team upload.
  * Fix FTBFS. (Closes: #952103)
  * Update Standards-Version to 4.5.0
  * Use debhelper-compat.
    - Update compat level to 12.

  [ tony mancill ]
  * Set "Rules-Requires-Root: no" in debian/control
  * Use https URLs for Homepage and Source in debian/control and copyright

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 10 Apr 2020 16:45:46 +0100

svnkit (1.8.14-3) unstable; urgency=medium

  * Team upload.
  * Depend on libequinox-common-java and libeclipse-core-runtime-java
    instead of eclipse-rcp
  * Fixed the watch file
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 24 Sep 2018 00:15:45 +0200

svnkit (1.8.14-2) unstable; urgency=medium

  * Team upload.

  [ Miguel Landaeta ]
  * Remove myself from uploaders list. (Closes: #871890)
  * Simplify d/rules.
  * Update copyright information.

  [ Markus Koschany ]
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.1.4.
  * Fix FTBFS with libsvn-java 1.10.0-1. (Closes: #897132)
  * Use source/target 1.7.

 -- Markus Koschany <apo@debian.org>  Fri, 11 May 2018 23:56:14 +0200

=== debian/control ===
Source: svnkit
Section: vcs
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Jakub Adam <jakub.adam@ktknet.cz>
Build-Depends: ant,
               debhelper-compat (= 13),
               default-jdk,
               javahelper,
               libeclipse-core-runtime-java,
               libequinox-common-java,
               libjna-java,
               libjna-platform-java,
               liblz4-java,
               libsequence-library-java,
               libsqljet-java,
               libsvn-java,
               libtrilead-ssh2-java,
               maven-repo-helper,
               perl
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/java-team/svnkit.git
Vcs-Browser: https://salsa.debian.org/java-team/svnkit
Homepage: https://svnkit.com
Rules-Requires-Root: no

Package: svnkit
Architecture: all
Depends: default-jre-headless | java7-runtime-headless,
         libjna-java,
         libsequence-library-java,
         libsvnkit-java (= ${binary:Version}),
         libtrilead-ssh2-java,
         ${misc:Depends}
Description: pure Java Subversion client
 SVNKit allows one to work with Subversion repositories and working
 copies.  The SVNKit client features direct repository access as well as
 support for all high level Subversion operations available via the
 command-line Subversion client.

Package: libsvnkit-java
Architecture: all
Section: java
Depends: antlr3,
         libjna-java,
         libsequence-library-java,
         libsqljet-java,
         libtrilead-ssh2-java,
         ${misc:Depends}
Recommends: libsvn-java
Suggests: junit
Description: pure Java Subversion client library
 SVNKit provides APIs to work with Subversion repositories and working
 copies. The SVNKit library features direct repository access as well as
 support for all high level Subversion operations available via the
 command-line Subversion client.

Package: libsvnkit-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: default-jdk-doc, libsvnkit-java (= ${binary:Version})
Multi-Arch: foreign
Description: documentation for libsvnkit-java
 Documentation for SVNKit, which is a Java library that provides APIs to
 work with Subversion repositories and working copies. SVNKit features
 direct repository access as well as support for all high level Subversion
 operations that are available via the command-line Subversion client.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk
export CLASSPATH=/usr/share/java/sqljet.jar:/usr/share/java/jna.jar:/usr/share/java/jna-platform.jar:/usr/share/java/sequence-library.jar:/usr/share/java/trilead-ssh2.jar:/usr/share/java/svn-javahl.jar:/usr/share/java/svnkit.jar:/usr/share/java/lz4-java.jar

%:
	dh $@ --with javahelper

override_dh_auto_build:
	VERSION=$(DEB_VERSION); \
	echo $$VERSION | { \
		IFS='.-+' read MAJOR MINOR MICRO DFSG DEBIAN; \
		export MAJOR MINOR MICRO DEBIAN; \
	        ant -f debian/build.xml -propertyfile debian/ant.properties; \
	};

	for script in jsvn jsvnadmin jsvndumpfilter jsvnlook jsvnsync jsvnversion; do \
		pod2man -c '' -r '' debian/$${script}.pod > build/doc/$${script}.1 ; \
	done ;

override_dh_auto_install:
	dh_auto_install
	mh_installpoms -plibsvnkit-java --set-version=$(DEB_VERSION_UPSTREAM)
	mh_installjar  -plibsvnkit-java debian/svnkit.pom --set-version=$(DEB_VERSION_UPSTREAM) \
		build/lib/svnkit.jar --java-lib --usj-version=$(DEB_VERSION_UPSTREAM)
	mh_installjar  -plibsvnkit-java debian/svnkit-javahl16.pom --set-version=$(DEB_VERSION_UPSTREAM) \
		build/lib/svnkit-javahl16.jar --java-lib --usj-version=$(DEB_VERSION_UPSTREAM)

override_dh_auto_clean:
	ant -f debian/build.xml clean
	mh_clean

override_dh_compress:
	dh_compress -X.java

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg//, repack, repacksuffix=+dfsg, compression=xz, \
 filenamemangle=s%.*org.tmatesoft.svn_(.+).src%@PACKAGE@-$1%" \
 https://svnkit.com/download.php \
 https://www.svnkit.com/org.tmatesoft.svn_(.+).src.zip
